Управление пакетами
   503

Обновление поломало систему

После обновления компьютер не загружается, пишет kernel panic и падает.

Догуглися до wiki.archlinux.org/index.php/pacman#Pacman_crashes_during_an_upgrade
Но pacman --sysroot /mnt -Syyu тоже падает, около 20 пакетов не хочет обновлять, для примера вот VLC

error: GPGME error: Invalid crypto engine
error: vlc: missing required signature


pastebin.com/CigTTH9w
  • 0
  • 0

4 комментария

avatar
Если зайти в CHROOT и запустить MC, то пишет ошибку

Error while loading shared libraries ХХХХХ file too short


где ХХХХХХ — файл какой-то библиотеки. При загрузке тоже такое выдает
0
avatar
Похоже на проблемы с ключами.
Пробовали
sudo pacman -S archlinux-keyring manjaro-keyring

?
0
avatar
Комп пишет «Кернел паник», ничего запустить не могу.
Chroot — не работает. Запуск pacman ничего не делает, не пишет ошибок и совсем ничего не делает.
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.